VST 3 SDK VST 3.6.11 SDK for developing VST Plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
PresetManager Class Reference

`#include <PresetManager.h>`

Inheritance diagram for PresetManager:

## Public Member Functions
| PresetManager (VST3Plugin *plugin, const TUID &cid)
tresult | runLoadPresetBrowser () override
tresult | runSavePresetBrowser () override
tresult | loadNextPreset () override
tresult | loadPreviousPreset () override
DEFINE_INTERFACES DEF_INTERFACE(IInterAppAudioPresetManager) END_DEFINE_INTERFACES(FObject) REFCOUNT_METHODS(FObject) private NSArray * | getPresetPaths (PresetPathType type)
tresult | loadPreset (bool next)
tresult | loadPreset (const char *path)
void | savePreset (const char *path)
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Public Attributes
VST3Plugin * | plugin
PresetBrowserViewController * | visiblePresetBrowserViewController
PresetSaveViewController * | visibleSavePresetViewController
FUID | cid
String | lastPreset

## Additional Inherited Members
Static Public Attributes inherited from IInterAppAudioPresetManager
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Constructor & Destructor Documentation

PresetManager | ( | VST3Plugin * | plugin,
|  | const TUID & | cid
| ) |  |

## Member Function Documentation

tresult runLoadPresetBrowser | ( |  | ) |
| override virtual

Implements IInterAppAudioPresetManager.

tresult runSavePresetBrowser | ( |  | ) |
| override virtual

Implements IInterAppAudioPresetManager.

tresult loadNextPreset | ( |  | ) |
| override virtual

Implements IInterAppAudioPresetManager.

tresult loadPreviousPreset | ( |  | ) |
| override virtual

Implements IInterAppAudioPresetManager.

DEFINE_INTERFACES DEF_INTERFACE (IInterAppAudioPresetManager) END_DEFINE_INTERFACES (FObject) REFCOUNT_METHODS (FObject) private NSArray* getPresetPaths | ( | PresetPathType | type | ) |

tresult loadPreset | ( | bool | next | ) |

tresult loadPreset | ( | const char * | path | ) |

void savePreset | ( | const char * | path | ) |

## Member Data Documentation

VST3Plugin* plugin

PresetBrowserViewController* visiblePresetBrowserViewController

PresetSaveViewController* visibleSavePresetViewController

FUID cid

String lastPreset

Empty

Copyright ©2018 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.